# Initialize a git repository and add a remote pointing to GitHub.

## Synopsis

`hub init` -g

## Options

-g

  After initializing the repository locally, add the "origin" remote pointing to "USER/REPO" repository on GitHub.

  USER is your GitHub username, while REPO is the name of the current working directory.

## Examples

    $ hub init -g
    > git init
    > git remote add origin git@github.com:USER/REPO.git

## See also

hub-create(1), hub(1), git-init(1)